File: Makefile.am

package info (click to toggle)
gimp-gap 2.6.0+dfsg-5
  • links: PTS
  • area: main
  • in suites: bullseye, buster, sid, stretch
  • size: 20,720 kB
  • ctags: 7,997
  • sloc: ansic: 119,817; sh: 3,890; makefile: 932; lisp: 97; pascal: 55
file content (49 lines) | stat: -rw-r--r-- 1,278 bytes parent folder | download | duplicates (4)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
## Process this file with automake to produce Makefile.in

if GAP_AUDIO_SUPPORT
LIBWAVCLIENT=libwavplayclient
endif

if GAP_VIDEOAPI_SUPPORT
LIBGAPVIDAPI=libgapvidapi
endif

# note: videoencoders all use GAP_VIDEOAPI_SUPPORT
#       for storyboard based encoding, but this is optional
#       The storyboard processor can be configured without GAP_VIDEOAPI_SUPPORT
#       with the restiriction that cliptype MOVIE is not supported in that case.
#       therefore compilation of the video encoders no longer depends on GAP_VIDEOAPI_SUPPORT
### if GAP_VIDEOAPI_SUPPORT
LIBGAPVIDUTIL=libgapvidutil
VID_COMMON=vid_common
VID_ENC_RAWFRAMES=vid_enc_rawframes
VID_ENC_SINGLE=vid_enc_single
VID_ENC_AVI=vid_enc_avi
##  endif

# the ffmpeg based video encoder depends on ENABLE_GVA_LIBAVFORMAT_SUPPORT
# and is not bulit when disabled.
if ENABLE_GVA_LIBAVFORMAT_SUPPORT
VID_ENC_FFMPEG=vid_enc_ffmpeg
endif


SUBDIRS = libgapbase extern_libs images $(LIBWAVCLIENT) $(LIBGAPVIDAPI) gap po docs \
	$(LIBGAPVIDUTIL) 	\
	$(VID_COMMON)		\
	$(VID_ENC_AVI) 		\
	$(VID_ENC_FFMPEG) 	\
	$(VID_ENC_RAWFRAMES) 	\
	$(VID_ENC_SINGLE)

EXTRA_DIST = \
	AUTHORS			\
	COPYING			\
	INSTALL			\
	README			\
	ChangeLog		\
	ChangeLog.pre-1-2	\
	intltool-extract.in	\
	intltool-merge.in	\
	intltool-update.in